<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: ProfileController.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7fb163a4dc89aca96d4e26f985650b07.html">YLYL</a></li><li class="navelem"><a class="el" href="dir_8f6c78d92b415dfcccfa2f3a69d58ce9.html">Utitlity</a></li><li class="navelem"><a class="el" href="dir_746bc2e5aa6af5a47b0a69d97dce13e1.html">HeaderProfile</a></li><li class="navelem"><a class="el" href="dir_68eb07ee257a314364882c6d29c3197f.html">GSKStretchyHeaderView</a></li><li class="navelem"><a class="el" href="dir_0ec35be123ef44e2aa37882e63f909b1.html">Helper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ProfileController.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;@<span class="keyword">import</span> UIKit;</div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">@class</span> VideoYLYL;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#import &quot;GSKExampleData.h&quot;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;NS_ASSUME_NONNULL_BEGIN</div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div><div class="line"><a name="l00006"></a><span class="lineno"><a class="line" href="interface_profile_controller.html">    6</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_profile_controller.html">ProfileController</a> : UICollectionViewController</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;- (instancetype)initWithData:(<a class="code" href="interface_g_s_k_example_data.html">GSKExampleData</a> *)data;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">@property</span> (nonatomic) NSMutableArray *videos;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;NS_ASSUME_NONNULL_END</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_g_s_k_example_data_html"><div class="ttname"><a href="interface_g_s_k_example_data.html">GSKExampleData</a></div><div class="ttdef"><b>Definition:</b> GSKExampleData.h:5</div></div>
<div class="ttc" id="ainterface_profile_controller_html"><div class="ttname"><a href="interface_profile_controller.html">ProfileController</a></div><div class="ttdef"><b>Definition:</b> ProfileController.h:6</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
